package com.steerinfo.dil.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.HashMap;

@FeignClient(value = "DIL-IM-DEV", url = "${openfeign.ImFeign.url}")
public interface IMFeign {
    @PostMapping("/websocket/sendToUser")
    @ResponseBody
    String sendToUser(@RequestBody HashMap map);
}
