package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author luobang
 * @create 2021-10-29 11:23
 */
@FeignClient(value = "dil-join-api-dev", url = "${openfeign.JoinFeign.url}")
public interface JoinFeign {
    @PostMapping("/api/v1/join/tmsTruckSms/insertSms")
    public boolean push(@RequestBody(required = false)Map<String, Object> map2) ;


}
