package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * @Author zhangnan
 * @Date 2021/6/23 9:58
 * @Version 1.0
 */
@FeignClient(value = "dil-wsm-api",url = "${openfeign.WmshBoundFeign.url}")
public interface WmshBoundFeign {

    @PostMapping("api/v1/wmsh/wmshinboundresults/addWarehousingResult")
    RESTfulResult addWarehousingResult(@RequestBody(required = false) Map<String,Object> wmshInboundResult);

    @PostMapping("api/v1/wmsh/wmshoutboundresults/addResult")
    RESTfulResult addResult(@RequestBody(required = false) Map<String,Object> map);
}
