package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckAbnormalResult;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
@Mapper
public interface OffSiteTransportationMapper {
    List<Map<String, Object>> getInTransitTransportation(Map<String, Object> mapValue);

    Map<String, Object> getTruckFactoryResult(String orderNumber);

    Integer getOrderStatu(String orderNumber);

    Map<String, Object> getStartAndEndCapacityNumber(Map<String, Object> map);

    void insertOrderMileage(HashMap<String, Object> omstruckOrder);

    int orderClose(String orderNumber);

    List<Map<String, Object>> getReceiptData();

    int insertReceive(Map<String, Object> map);

    //查询是否开启运输报警状态
    Map<String,Object> selectWarnSwitch();

    int insertOrderTripId(Map<String, Object> map);
    

    BigDecimal selectIsReceiving(String rid);

    void addTransportationAlarm(TmstruckAbnormalResult tmstruckAbnormalResult, String rid);

    List<Map<String, Object>> getHaveAbnormalTruckOrderInfo(Map<String, Object> mapValue);

    List<Map<String, Object>> getTransportAbnormalInfo(Map<String, Object> mapValue);
}
