package com.steerinfo.dil.service;



import com.steerinfo.dil.model.TmstruckReceiptResult;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TmstruckReceiptResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-10 10:10
 * 类描述
 * 修订历史：
 * 日期：2021-09-10
 * 作者：generator
 * 参考：
 * 描述：TmstruckReceiptResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstruckReceiptResultService{

    //查询所有收货实绩
    List<Map<String, Object>> getReceiveResult(Map<String, Object> map);

    //新增钢材到异地库达州站驻港人员确定收货
    int addSteelNzReceiptResult(Map<String, Object> map);

    //添加收货实绩主表
    BigDecimal addTmstruckReceiptResult(String orderNumber, TmstruckReceiptResult tmstruckReceiptResult);
    //获取收货实绩信息
    List<Map<String, Object>> getReceiptResultInfo(Map<String, Object> map);
    //获取抵达作业照片
    String getReceiptPhoto(String orderNumber);

    List<Map<String, Object>> getReceivingResult(Map<String, Object> mapValue);

    List<Map<String, Object>> getReceivingPhoto(String orderNumber);
}