package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

import java.math.BigDecimal;

/**
 * @ author    :TXF
 * @ time      :2021/10/8 21:56
 */

@FeignClient(value = "dil-bmsship-api-dev", url = "${openfeign.BmsShipFeign.url}")
public interface BmsShipFeign {
    @PostMapping("api/v1/bmsship/bmsshipdetailsorder/addDetailsOrder/{resultId}")
    public RESTfulResult addDetailsOrder(@PathVariable("resultId") BigDecimal resultId) throws Exception ;
}
