package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

@FeignClient(value = "DAL-OTMS-API-DEV", url = "${openfeign.OTMSFeign.url}")
public interface OtmsFeign {

    @PostMapping("/api/v1/otms/pathDisplay/createTotalResult")
    public RESTfulResult createTotalResult(@RequestBody(required=true) Map<String, Object> mapValue) throws Exception;
}
