package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/11/19 16:28
 */

@FeignClient(value = "dil-trick-queue-dev", url = "${openfeign.QmsFeign.url}")
public interface QmsFeign {
    //远程调用新增运输订单
    @PostMapping("api/v1/queueTruck/qmsqueueresults/utilscontroller/addQueueResultByCk")
    RESTfulResult addQueueResultByCk(@RequestBody Map<String,Object> mapValue);
}
