package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckTareReturnResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface TmstruckTareReturnResultMapper extends IBaseMapper<TmstruckTareReturnResult, BigDecimal> {
    //查询最大ID
    @Select("select seq_tare_return_result.nextval from dual")
    BigDecimal selectMaxId();

    //通过车牌号查询委托信息
    Map<String, Object> getMesByCapacityNum(String capacityNumber);
}