package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckTotalResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstruckTotalResultMapper extends IBaseMapper<TmstruckTotalResult, BigDecimal> {
    //查询最大ID值
    @Select("select seq_tmstruck_total_result.nextval from dual")
    BigDecimal selectMaxId();

    //查询计数作业
    List<Map<String,Object>> selectCountList(Map<String,Object> map);
    //查询包月作业
    List<Map<String, Object>> getTmstruckMonthResult(Map<String, Object> mapValue);

    //查询倒库
    List<Map<String,Object>>  getAllReverseResult(Map<String,Object> map);
}