package com.steerinfo.dil.service;

import java.util.List;
import java.util.Map;


public interface DropDownService {

    //获取批次下拉框
    List<Map<String, Object>> getDilBatch();

    //获取承运商下拉框
    List<Map<String, Object>> getCarrier();

    //获取路径下拉框
    List<Map<String, Object>> getLine();

    //获取仓库下拉框
    List<Map<String, Object>> getWarehouse(Map<String, Object> map);

    //获取门岗下拉框
    List<Map<String, Object>> getGatepost();

    //获取所有采购订单号
    List<Map<String, Object>> getAPO();

    //获取所有的辅料物资
    List<Map<String, Object>> getFuMaterial(Integer type);

    //获取所有的辅料车辆
    List<Map<String, Object>> getFuCapacityId();

    //获取所有的港口
    List<Map<String, Object>> getPort();

    //获取所有的月台
    List<Map<String, Object>> getPlatformId();

    //装货地点下拉框
    List<Map<String,Object>>   getLoadedPlace();

    //外轮船名下拉框
    List<Map<String,Object>> getForeignName();

    //查询卸货点（通过类型判断）
    List<Map<String, Object>> getUnloadPoint(Integer type);

    //通过订单Id查询装车的物资
    List<Map<String, Object>> getOrderMaterial(Integer orderId);

    //通过仓库ID查询月台ID
    List<Map<String, Object>> getPlatformIdByWarehouse(Integer warehouseId);
}
